<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{49E96A5C-AC79-412B-BBBA-4653795D5EDC}</ProjectGuid>
    <RootNamespace>Util</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>11.0.50727.1</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>$(SolutionDir)Bin\x86\</OutDir>
    <IntDir>$(SolutionDir)Intermediate\$(Configuration)\$(Platform)\$(ProjectName)\</IntDir>
    <TargetName>$(ProjectName)-debug</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <OutDir>$(SolutionDir)Bin\x64\</OutDir>
    <IntDir>$(SolutionDir)Intermediate\$(Configuration)\$(Platform)\$(ProjectName)\</IntDir>
    <TargetName>$(ProjectName)-debug</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>$(SolutionDir)Bin\x86\</OutDir>
    <IntDir>$(SolutionDir)Intermediate\$(Configuration)\$(Platform)\$(ProjectName)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <OutDir>$(SolutionDir)Bin\x64\</OutDir>
    <IntDir>$(SolutionDir)Intermediate\$(Configuration)\$(Platform)\$(ProjectName)\</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>$(SolutionDir)Include;$(SolutionDir)Lib/Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_DEBUG ZASSERT_ENABLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>false</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <DisableLanguageExtensions>false</DisableLanguageExtensions>
      <WarningLevel>Level4</WarningLevel>
      <TreatWarningAsError>false</TreatWarningAsError>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <DisableSpecificWarnings>4996;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <WholeProgramOptimization>true</WholeProgramOptimization>
    </ClCompile>
    <Lib />
    <Lib>
      <LinkTimeCodeGeneration>true</LinkTimeCodeGeneration>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>$(SolutionDir)Include;$(SolutionDir)Lib/Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_DEBUG ZASSERT_ENABLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>false</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <DisableLanguageExtensions>false</DisableLanguageExtensions>
      <WarningLevel>Level4</WarningLevel>
      <TreatWarningAsError>false</TreatWarningAsError>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <WholeProgramOptimization>true</WholeProgramOptimization>
    </ClCompile>
    <Lib />
    <Lib>
      <LinkTimeCodeGeneration>true</LinkTimeCodeGeneration>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <AdditionalIncludeDirectories>$(SolutionDir)Include;$(SolutionDir)Lib/Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_RELEASE; _CRT_SECURE_NO_WARNINGS=1; SST_ASSERT_NODEBUG=1; ZSTL_DISABLE_RUNTIME_CHECKS=1;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <DisableSpecificWarnings>4996;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Lib>
      <OutputFile>$(OutDir)$(ProjectName).lib</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <AdditionalIncludeDirectories>$(SolutionDir)Include;$(SolutionDir)Lib/Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_RELEASE; _CRT_SECURE_NO_WARNINGS=1; SST_ASSERT_NODEBUG=1; ZSTL_DISABLE_RUNTIME_CHECKS=1;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <WarningLevel>Level4</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="ZAllocWindow.cpp" />
    <ClCompile Include="ZBinaryBufferReader.cpp" />
    <ClCompile Include="ZBinaryBufferWriter.cpp" />
    <ClCompile Include="ZBinaryFileReader.cpp" />
    <ClCompile Include="ZBinaryFileWriter.cpp" />
    <ClCompile Include="ZJSONReader.cpp" />
    <ClCompile Include="ZJSONWriter.cpp" />
    <ClCompile Include="ZRegistry.cpp" />
    <ClCompile Include="ZLog.cpp" />
    <ClCompile Include="ZXMLReader.cpp" />
    <ClCompile Include="ZXMLWriter.cpp" />
    <ClCompile Include="ZConcurrency.cpp" />
    <ClCompile Include="ZEvent.cpp" />
    <ClCompile Include="ZMutex.cpp" />
    <ClCompile Include="ZReadWriteLock.cpp" />
    <ClCompile Include="ZSemaphore.cpp" />
    <ClCompile Include="ZTaskStream.cpp" />
    <ClCompile Include="ZThread.cpp" />
    <ClCompile Include="ZKVTree.cpp" />
    <ClCompile Include="ZAlloc.cpp" />
    <ClCompile Include="ZName.cpp" />
    <ClCompile Include="ZIniReader.cpp" />
    <ClCompile Include="ZIniWriter.cpp" />
    <ClCompile Include="ZRandomGenerator.cpp" />
    <ClCompile Include="ZSimplexNoise.cpp" />
    <ClCompile Include="ZSimplexNoiseMap.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\Include\ZUtil\ZAssert.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZAllocWindow.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZBinaryBufferReader.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZBinaryBufferWriter.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZBinaryFileReader.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZBinaryFileWriter.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZBinaryReader.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZBinaryWriter.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZJSONReader.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZJSONWriter.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZRegistry.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZUtil.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZUtilBuild.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZLog.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZXMLReader.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZXMLWriter.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZConcurrency.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZEvent.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZMutex.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZReadWriteLock.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZSemaphore.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZTaskStream.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZThread.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZKVTree.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZAlloc.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZReferenceCounter.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZSlabAllocator.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZSmartPointer.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZWeakPointer.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZBitmap.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZIniReader.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZIniWriter.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZNoise.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZNoiseMap.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZRandomGenerator.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZSimplexNoise.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZSimplexNoiseMap.hpp" />
    <ClInclude Include="..\Include\ZUtil\ZName.hpp" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\libsst-atomic\libsst-atomic.vcxproj">
      <Project>{43ed481f-c4a3-40ed-81a3-46c43dc4eb1e}</Project>
    </ProjectReference>
    <ProjectReference Include="..\libsst-concurrency\libsst-concurrency.vcxproj">
      <Project>{7af55ff8-2f78-42ec-8a05-7fa1ae514814}</Project>
    </ProjectReference>
    <ProjectReference Include="..\libsst-crypto\libsst-crypto.vcxproj">
      <Project>{e5172b73-ab9a-4702-998f-84c841b30c02}</Project>
    </ProjectReference>
    <ProjectReference Include="..\libsst-os\libsst-os.vcxproj">
      <Project>{4bac6d63-c2e8-43f7-87ea-ef953cbfddd3}</Project>
    </ProjectReference>
    <ProjectReference Include="..\libsst-random\libsst-random.vcxproj">
      <Project>{8aa34f81-4045-4613-88b7-6ff58d7e0a7a}</Project>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>